View .md

WebPlates endpoints (Admin API)

5 FeatherPanel Admin API endpoints from admin/webplates.php: methods, paths, auth, permissions, rate limits, parameters and responses.

Last synced from FeatherPanel 15b94e9 on .

On this page

Defined in backend/app/routes/admin/webplates.php. Authentication used here: Admin. Read Authentication for how to send credentials and Rate limits and errors for the response envelope.

Paths, methods, permissions and rate limits come from the route file. Summaries, parameters and response codes come from the OpenAPI annotations on the controllers; endpoints without annotations show only what the route file declares.

Endpoints

GET/api/admin/webplates

Auth: AdminPermission: admin.webplates.viewRoute name: admin-webplatesController: WebPlatesController::indexroute source

List WebPlates

curl -X GET "$PANEL_URL/api/admin/webplates" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

GET/api/admin/webplates/{id}

Auth: AdminPermission: admin.webplates.viewRoute name: admin-webplates-showController: WebPlatesController::showroute source

Get WebPlate

ParameterInTypeRequiredDescription
idpath-yes
curl -X GET "$PANEL_URL/api/admin/webplates/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

PUT/api/admin/webplates

Auth: AdminPermission: admin.webplates.createRoute name: admin-webplates-createController: WebPlatesController::createroute source

Create WebPlate

curl -X PUT "$PANEL_URL/api/admin/webplates" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

PATCH/api/admin/webplates/{id}

Auth: AdminPermission: admin.webplates.editRoute name: admin-webplates-updateController: WebPlatesController::updateroute source

Update WebPlate

ParameterInTypeRequiredDescription
idpath-yes
curl -X PATCH "$PANEL_URL/api/admin/webplates/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

DELETE/api/admin/webplates/{id}

Auth: AdminPermission: admin.webplates.deleteRoute name: admin-webplates-deleteController: WebPlatesController::deleteroute source

Delete WebPlate

ParameterInTypeRequiredDescription
idpath-yes
curl -X DELETE "$PANEL_URL/api/admin/webplates/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"